var win = Ti.UI.createWindow({backgroundColor: 'white'});

var plainTemplate = {
    childTemplates: [{                            // Title
            type: 'Ti.UI.Label',     // Use a label for the title
            bindId: 'title',         // Maps to a custom title property of the item data
            properties: {            // Sets the label properties
                color: 'black',
                font: { fontFamily:'Arial', fontSize: '20dp', fontWeight:'bold' },
                left: '10dp', top: 0,
            },
        },
        {                            // Subtitle
            type: 'Ti.UI.Label',     // Use a label for the subtitle
            bindId: 'subtitle',      // Maps to a custom subtitle property of the item data
            properties: {            // Sets the label properties
                color: 'gray',
                font: { fontFamily:'Arial', fontSize: '14dp' },
                left: '10dp', top: '25dp',
            }
        }
    ],
};


var listView = Ti.UI.createListView({
    templates: { 'uncheck': plainTemplate},
    defaultItemTemplate: 'uncheck'
});

var tasks = [
    {id: 'dishes', name: 'Do the Dishes', person: 'Wakko', icon: 'dishes.png'},
    {id: 'doggie', name: 'Walk the Dog', person: 'Dot', icon: 'doggie.png'}
];

var data = [];
for (var i = 0; i < tasks.length; i++) {
    data.push({
        title : { text: tasks[i].name },
        subtitle : { text : tasks[i].person },
        properties : {
            itemId: tasks[i].id,
            backgroundColor: '#f00',
            accessoryType: Ti.UI.LIST_ACCESSORY_TYPE_DISCLOSURE,
        }
    });
}

var section = Ti.UI.createListSection();
section.setItems(data);
listView.sections = [section];

win.add(listView);
win.open();